#if !defined(AFX_PRDINSTCONTENTSListView_H__4DCC9958_53BB_4176_A11D_951C194FAEF4__INCLUDED_)
#define AFX_PRDINSTCONTENTSListView_H__4DCC9958_53BB_4176_A11D_951C194FAEF4__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// PrdInstContentsListView.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CPrdInstContentsListView view

#include "aplListView.h"
class CPrdInstContentsListView : public CaplListView
{
protected:
	CPrdInstContentsListView();           // protected constructor used by dynamic creation
	DECLARE_DYNCREATE(CPrdInstContentsListView)

// Attributes
public:

// Operations
public:
void UpdateTreeItem(CaplTreeItem *item);

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CPrdInstContentsListView)
	protected:
	virtual void OnDraw(CDC* pDC);      // overridden to draw this view
	virtual LRESULT WindowProc(UINT message, WPARAM wParam, LPARAM lParam);
	//}}AFX_VIRTUAL

// Implementation
protected:
	virtual ~CPrdInstContentsListView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

	// Generated message map functions
protected:
	//{{AFX_MSG(CPrdInstContentsListView)
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	afx_msg void OnLButtonDblClk(UINT nFlags, CPoint point);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_PRDINSTCONTENTSListView_H__4DCC9958_53BB_4176_A11D_951C194FAEF4__INCLUDED_)
